package ch.dissem.yaep.ui.common.layout

import androidx.compose.ui.layout.Measurable
import ch.dissem.yaep.ui.common.focus.CluesSelectionManager

data class FocusGroup(
    val items: List<Measurable>,
    val box: Measurable,
    val selectionManger: CluesSelectionManager? = null
) {
    val item: Measurable
        get() = items.single()

    val hasItems: Boolean = items.isNotEmpty()

    val count = items.size
}
